@charset "utf-8";

/* ====================
Works
==================== */
.article__header--works {
    background-image: url(../images/common/section_works.jpg);
}

.genre {
    background-color: var(--color-gray);
}

.genre__list {
    padding: clamp(30px, 3.47vw, 50px) 0;
    display: flex;
    justify-content: center;
    gap: clamp(30px, 3.47vw, 50px);
}

.genre__item {
    font-family: var(--sub-font-en);
    font-size: clamp(1.2rem, 1.11vw, 1.6rem);
    font-weight: 500;
    text-align: center;
}

.genre__item span {
    display: block;
    font-family: var(--sub-font-jp);
    font-size: clamp(1.0rem, 0.83vw, 1.2rem);
    font-weight: 400;
}

.genre__item--pickUp {
    color: var(--color-red);
    border-bottom: 1px solid var(--color-red);
}

/* ====================
artWorks
==================== */
.artworks {
    padding: 0 var(--contentPadding);
}

.artworks__item {
    padding: clamp(50px, 5.55vw, 80px) 0;
    display: flex;
    flex-direction: column;
    gap: clamp(15px, 3.47vw, 50px);
}

.artworks__about {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.artworks__year {
    font-family: var(--sub-font-en);
    font-size: clamp(1.4rem, 1.25vw, 1.8rem);
    font-weight: 500;
}

.caption {
    display: flex;
    flex-direction: column;
    padding: 0 0 0 15px;
    border-left: 1px solid var(--color-black);
}

.caption__txt {
    font-size: 1.4rem;
    line-height: 1.8;
    opacity: 0;
    height: 0;
    overflow: hidden;
    transition: all 0.4s ease;
}

.caption__txt.display {
    margin-bottom: clamp(15px, 2.08vw, 30px);
    opacity: 1;
    height: auto;
}

.captionBtn {
    margin: 0 auto 0 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: clamp(5px, 0.69vw, 10px);
}

.captionBtn.active {
    flex-direction: column-reverse;
}

.captionBtn__txt {
    color: var(--color-red);
    font-family: var(--sub-font-en);
    font-size: clamp(1.4rem, 1.25vw, 1.8rem);
    font-weight: 500;
}

.captionBtn img {
    width: clamp(11px, 1.45vw, 21vw);
    height: clamp(3px, 0.34vw, 5px);
    object-fit: contain;
}

.captionBtn.active img {
    transform: rotate(180deg);
}

.artworks__block {
    display: flex;
    flex-wrap: wrap;
    gap: 4.0vw 4.37%;
}

.artworks__img {
    width: 30.3%;
    height: clamp(100px, 20.8vw, 300px);
    position: relative;
}

.artworks__img::after {
    content: '';
    display: none;
    width: 110%;
    height: 110%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: background-color 0.4s;
}

.artworks__img.hover::after {
    background-color: rgb(0 0 0 / 0.5);
}

.artworks__img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
}

.artworks__topic {
    display: none;
    width: 100%;
    color: var(--color-white);
    font-family: var(--sub-font-jp);
    font-size: clamp(1.2rem, 1.25vw, 1.8rem);
    font-weight: 500;
    line-height: 1;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    z-index: 5;
    opacity: 0;
    transition: opacity 0.4s;
}

.artworks__topic.hover {
    opacity: 0.9;
}

/* arts pc */
@media screen and (min-width: 769px) {
    .artworks__item {
        width: 100%;
        max-width: 1260px;
        margin: 0 auto;
    }

    .artworks__about {
        flex-direction: row;
        gap: 0;
    }

    .artworks__year {
        flex-shrink: 0;
        width: 150px;
    }

    .caption {
        padding: 0 min(150px, 10.4vw) 0 min(50px, 3.47vw);
    }

    .caption__txt {
        line-height: 2;
    }

    .artworks__block {
        gap: clamp(26.6px, 3.47vw, 50px) 4.54%;
    }

    .artworks__img::after {
        display: block;
    }

    .artworks__topic {
        display: block;
    }
}/* pc 769px */

/* ====================
modal
==================== */
.modal {
    width: 100vw;
    height: 100vh;
    padding: 0 var(--contentPadding);
    background-color: rgb(220 220 220 / 0.95);
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: clamp(15px, 2.08vw, 30px);
    position: absolute;
    top: 0;
    left: 0;
    z-index: -10;
    opacity: 0;
}

.modal.open {
    position: fixed;
    z-index: 300;
    opacity: 1;
}

.modalBtn {
    width: clamp(30px, 3.47vw, 50px);
    height: clamp(30px, 3.47vw, 50px);
    aspect-ratio: 1;
    margin: 0 0 0 auto;
    padding: clamp(6px, 12%, 7.2px) 0;
    border: 1px solid var(--color-black);
    object-fit: contain;
}

.modalBtn__icon {
    width: 100%;
    height: 100%;
    position: relative;
}

.modalBtn__line {
    display: block;
    width: 1px;
    height: 100%;
    background-color: var(--color-black);
    position: absolute;
}

.modalBtn__line--first {
    bottom: 50%;
    left: 48%;
    transform: translateY(50%) rotate(45deg);
}

.modalBtn__line--second{
    bottom: 50%;
    right: 48%;
    transform: translateY(50%) rotate(-45deg);
}

.swiper--modal {
    opacity: 0;
    transition: opacity 0.6s ease;
}

.swiper--modal.active {
    opacity: 1;
}

.swiper--modal {
    margin: 0 auto;
    width: 100%;
}

.swiper-wrapper--modal {
    display: flex;
    align-items: center;
}

.swiper-slide--modal img {
    margin: 0 auto;
    width: 100%;
    height: 50vh;
    object-fit: contain;
    object-position: center;
}

.modal__topic {
    margin-top: 15px;
    font-family: var(--sub-font-jp);
    font-size: clamp(1.4rem, 1.25vw, 1.8rem);
    font-weight: 500;
    text-align: center;
}

.modal__txt {
    margin-top: 10px;
    font-family: var(--sub-font-jp);
    font-size: clamp(1.2rem, 0.97vw, 1.4rem);
    text-align: center;
}

.modal__txt span {
    margin-left: 15px;
}

.modal__caption {
    width: 80%;
    max-width: 700px;
    margin: 20px auto 0;
    font-size: 1.2rem;
    line-height: 1.8;
}

.swiper-button-prev, .swiper-button-next {
    display: none;
}

@media screen and (min-width: 769px) {    
    .swiper-button-prev, .swiper-button-next {
        display: block;
        width: auto;
        height: auto;
        cursor: none;
    }
    
    .swiper-button-prev {
        transform: translateX(50%);
    }
    
    .swiper-button-next {
        transform: translateX(-50%);
    }
    
    .swiper-button-prev::after, .swiper-button-next::after {
        content: '';
        display: block;
        width: 30px;
        height: 30px;
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
    }
    
    .swiper-button-prev::after{
        background-image: url(../images/common/arrow_horizontal.svg);
        transform: scale(-1, 1);
    }
    
    .swiper-button-next::after{
        background-image: url(../images/common/arrow_horizontal.svg);
    }
}/* pc 769px */